%global momorel 2

Version: 4.0
Name: bash
Summary: The GNU Bourne Again shell
Release: %{momorel}m%{?dist}
Group: System Environment/Shells
License: GPLv2+
Url: http://www.gnu.org/software/bash
Source0: ftp://ftp.gnu.org/gnu/bash/bash-%{version}.tar.gz
NoSource: 0

# For now there isn't any doc
#Source2: ftp://ftp.gnu.org/gnu/bash/bash-doc-%{version}.tar.gz

Source1: dot-bashrc
Source2: dot-bash_profile
Source3: dot-bash_logout
Source4: tab.dot.bashrc

# Official upstream patches
Patch001: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-001
Patch002: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-002
Patch003: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-003
Patch004: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-004
Patch005: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-005
Patch006: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-006
Patch007: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-007
Patch008: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-008
Patch009: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-009
Patch010: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-010
Patch011: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-011
Patch012: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-012
Patch013: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-013
Patch014: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-014
Patch015: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-015
Patch016: ftp://ftp.gnu.org/pub/gnu/bash/bash-4.0-patches/bash40-016

# Other patches
Patch101: bash-2.02-security.patch
Patch102: bash-2.03-paths.patch
Patch103: bash-2.03-profile.patch
Patch104: bash-2.05a-interpreter.patch
Patch105: bash-2.05b-debuginfo.patch
Patch106: bash-2.05b-manso.patch
Patch107: bash-2.05b-pgrp_sync.patch
Patch108: bash-2.05b-readline-oom.patch
Patch109: bash-2.05b-xcc.patch
Patch110: bash-3.2-audit.patch
#Patch111: bash-3.2-rng.patch
Patch112: bash-3.2-ssh_source_bash.patch
Patch113: bash-bashbug.patch
Patch114: bash-cond-rmatch.patch
Patch115: bash-infotags.patch
Patch116: bash-requires.patch
Patch117: bash-setlocale.patch
Patch118: bash-tty-tests.patch
#Patch119: bash-ulimit-m.patch
#Patch120: bash-4.0-no_debug_output.patch
#Patch121: bash-4.0-shell_pipelines_handling.patch

Requires(post): ncurses-libs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: /bin/sh
Provides: /bin/bash
BuildRequires: texinfo bison
BuildRequires: ncurses-devel
BuildRequires: autoconf, gettext

%description
The GNU Bourne Again shell (Bash) is a shell or command language
interpreter that is compatible with the Bourne shell (sh). Bash
incorporates useful features from the Korn shell (ksh) and the C shell
(csh). Most sh scripts can be run by bash without modification.

%package doc
Summary: Documentation files for %{name}
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation files for %{name}.

%define pkgdocdir %{_datadir}/doc/%{name}-%{version}

%prep

#%setup -q -a 2
%setup -q -n bash-%{version}

# Official upstream patches
%patch001 -p0 -b .001
%patch002 -p0 -b .002
%patch003 -p0 -b .003
%patch004 -p0 -b .004
%patch005 -p0 -b .005
%patch006 -p0 -b .006
%patch007 -p0 -b .007
%patch008 -p0 -b .008
%patch009 -p0 -b .009
%patch010 -p0 -b .010
%patch011 -p0 -b .011
%patch012 -p0 -b .012
%patch013 -p0 -b .013
%patch014 -p0 -b .014
%patch015 -p0 -b .015
%patch016 -p0 -b .016

# Other patches
%patch101 -p1 -b .security
%patch102 -p1 -b .paths
%patch103 -p1 -b .profile
%patch104 -p1 -b .interpreter
%patch105 -p1 -b .debuginfo
%patch106 -p1 -b .manso
%patch107 -p1 -b .pgrp_sync
%patch108 -p1 -b .readline_oom
%patch109 -p1 -b .xcc
%patch110 -p1 -b .audit
#%patch111 -p1 -b .rng
%patch112 -p1 -b .ssh_source_bash
%patch113 -p1 -b .bashbug
%patch114 -p1 -b .cond_rmatch
%patch115 -p1 -b .infotags
%patch116 -p1 -b .requires
%patch117 -p1 -b .setlocale
%patch118 -p1 -b .tty_tests
#%patch119 -p1 -b .ulimit-m
#%patch120 -p1 -b .no_debug_output
#%patch121 -p1 -b .pipelines_handling

echo %{version} > _distribution
echo %{release} > _patchlevel

%build
autoconf
%configure --with-bash-malloc=no --with-afs
make "CPPFLAGS=-D_GNU_SOURCE `getconf LFS_CFLAGS`"
#make "CPPFLAGS=-DUSE_POSIX_GLOB_LIBRARY -D_GNU_SOURCE `getconf LFS_CFLAGS`"
%check
make check

%install
rm -rf $RPM_BUILD_ROOT

if [ -e autoconf ]; then
  # Yuck. We're using autoconf 2.1x.
  export PATH=.:$PATH
fi

# Fix bug #83776
perl -pi -e 's,bashref\.info,bash.info,' doc/bashref.info

make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc

# make manpages for bash builtins as per suggestion in DOC/README
pushd doc
sed -e '
/^\.SH NAME/, /\\- bash built-in commands, see \\fBbash\\fR(1)$/{
/^\.SH NAME/d
s/^bash, //
s/\\- bash built-in commands, see \\fBbash\\fR(1)$//
s/,//g
b
}
d
' builtins.1 > man.pages
for i in echo pwd test kill; do
  perl -pi -e "s,$i,,g" man.pages
  perl -pi -e "s,  , ,g" man.pages
done

install -c -m 644 builtins.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/builtins.1

for i in `cat man.pages` ; do
  echo .so man1/builtins.1 > ${RPM_BUILD_ROOT}%{_mandir}/man1/$i.1
  chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/$i.1
done
popd

# Link bash man page to sh so that man sh works.
ln -s bash.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/sh.1

# Not for printf, true and false (conflict with coreutils)
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/printf.1
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/true.1
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/false.1

pushd $RPM_BUILD_ROOT
mkdir ./bin
mv ./usr/bin/bash ./bin
ln -sf bash ./bin/sh
rm -f .%{_infodir}/dir
popd
mkdir -p $RPM_BUILD_ROOT%{_datadir}/config-sample/bash
install -c -m644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/config-sample/bash/dot.bashrc
install -c -m644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/config-sample/bash/dot.bash_profile
install -c -m644 %SOURCE3 $RPM_BUILD_ROOT%{_datadir}/config-sample/bash/dot.bash_logout
install -c -m644 %SOURCE4 $RPM_BUILD_ROOT%{_datadir}/config-sample/bash/tab.dot.bashrc


LONG_BIT=$(getconf LONG_BIT)
mv $RPM_BUILD_ROOT%{_bindir}/bashbug \
   $RPM_BUILD_ROOT%{_bindir}/bashbug-"${LONG_BIT}"

# Fix missing sh-bangs in example scripts (bug #225609).
for script in \
  examples/scripts/krand.bash \
  examples/scripts/bcsh.sh \
  examples/scripts/precedence \
  examples/scripts/shprompt
do
  cp "$script" "$script"-orig
  echo '#!/bin/bash' > "$script"
  cat "$script"-orig >> "$script"
  rm -f "$script"-orig
done

%find_lang %{name}

# copy doc to /usr/share/doc
mkdir -p $RPM_BUILD_ROOT/%{pkgdocdir}
for file in CHANGES COMPAT NEWS NOTES POSIX doc examples
do
  cp -r "$file" $RPM_BUILD_ROOT/%{pkgdocdir}
done
%clean
rm -rf $RPM_BUILD_ROOT

# ***** bash doesn't use install-info. It's always listed in %{_infodir}/dir
# to prevent prereq loops

# post is in lua so that we can run it without any external deps.  Helps
# for bootstrapping a new install.
# Jesse Keating 2009-01-29 (code from Ignacio Vazquez-Abrams)
%post -p <lua>
bashfound = false;
shfound = false;
 
f = io.open("/etc/shells", "r");
if f == nil
then
  f = io.open("/etc/shells", "w");
else
  repeat
    t = f:read();
    if t == "/bin/bash"
    then
      bashfound = true;
    end
    if t == "/bin/sh"
    then
      shfound = true;
    end
  until t == nil;
end
f:close()
 
f = io.open("/etc/shells", "a");
if not bashfound
then
  f:write("/bin/bash\n")
end
if not shfound
then
  f:write("/bin/sh\n")
end
f:close()

%postun
if [ "$1" = 0 ]; then
    /bin/grep -v '^/bin/bash$' < /etc/shells | \
      /bin/grep -v '^/bin/sh$' > /etc/shells.new
    /bin/mv /etc/shells.new /etc/shells
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/config-sample/bash
/bin/sh
/bin/bash
%attr(0755,root,root) %{_bindir}/bashbug-*
%{_infodir}/bash.info*
%{_mandir}/*/*
%{_mandir}/*/..1*

%files doc
%defattr(-, root, root)
%doc %{pkgdocdir}

# For now there isn't any doc
#%doc doc/*.ps doc/*.0 doc/*.html doc/article.txt

%changelog
* Wed Jul  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-2m)
- Provides: /bin/sh and /bin/bash again

* Wed Jul  8 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0-1m)
- sync Fedora 11
- version up 4.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2-12m)
- rebuild against rpm-4.6

* Mon Dec 29 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.2-11m)
- add patch bash32-40 - 48
- import fedora patches

* Wed May 21 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2-10m)
- add patch bash32-34 - bash32-39

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2-9m)
- rebuild against gcc43

* Wed Mar 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2-8m)
- remove BPR libtermcap-devel

* Wed Feb 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2-7m)
- add again Patch132, Patch133, Patch136 and Patch137 not guilty patch.
  if your bash is not load ~/.bashrc, you type sudo rpm -ev bash-completion
- update bashrc from setup-2.6.10-1.fc8
- fix TAB width

* Mon Feb 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2-6m)
- rollback feature
-- .bash* was installed /etc/skel/
- unpatch any Fedora patches

* Mon Feb 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2-5m)
- .bash* was installed /etc/skel/

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2-4m)
- %%NoSource -> NoSource

* Thu Feb  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2-3m)
- remove -fprofile-generate option...

* Wed Feb  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2-2m)
- update bash-3.2-33
- import Fedora Patch(bash-3_2-20_fc9)
- libtermcap was obsolutes...

* Sun Feb 04 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2-1m)
- merge from fc bash-3.2-4
- separate completion pacakge
- add bash32-001 .. bash32-009
- delete bash31-001 .. bash31-017
- update dot*bash* files
- delete inputrc
- delete unused sources
 - Patch105: bash-aq.patch
 - Patch106: bash-login.patch
 - Patch112: bash-ulimit.patch
 - Patch127: bash-sighandler.patch
 - Patch129: bash-read-memleak.patch
 - Patch1106: bash-brace.patch
 - Patch1107: bash-2.05a-shellfunc.patch
 - Patch1108: bash-3.1-ia64.patch
 - Patch1111: bash-2.05a-loadables.patch
 - Patch1117: bash-2.05b-mbinc.patch
 - Patch1150: bash-completion-configure.patch
 - Patch1151: bash-completion-tar2.patch
- add Patch130: bash-infotags.patch
- add Patch131: bash-cond-rmatch.patch
- update Patch107: bash-2.05a-interpreter.patch
- revive bashbug-*
-
- fc changelog is below
- * Tue Jan 23 2007 Tim Waugh <twaugh@redhat.com> 3.2-4
- - Slightly better .bash_logout (bug #223960).
-
- * Fri Jan 19 2007 Tim Waugh <twaugh@redhat.com> 3.2-3
- - Back out rmatch change introduced in 3.2 (bug #220087).
- 
- * Tue Jan 16 2007 Miroslav Lichvar <mlichvar@redhat.com> 3.2-2
- - Link with ncurses.
- 
- * Fri Dec 15 2006 Tim Waugh <twaugh@redhat.com> 3.2-1
- - Build requires autoconf and gettext.
- - 3.2.  No longer need aq, login, ulimit, sighandler or read-memleak
-   patches.

* Sun Jul 13 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-1m)
- update to 3.1
- delete /bin/bash2 from files and make symlink for bash2
- renumber patches <1-99> +100
- delete included Patch102: bash-fixes.patch
- delete included Patch104: bash-array.patch
- arrange Patch108: bash-3.1-ia64.patch
- delete included Patch109: bash-multilinePS1.patch
- delete Patch110: bash-changechar.patch
- delete Patch112: bash-2.05a-interpreter.patch
- delete included Patch113: bash-arrayvar.patch
- delete confilcts Patch114: bash-trap.patch
- delete included Patch116: bash-2.05b-utf8.patch
- delete included Patch118: bash-pipefail.patch
- delete Patch119: bash-multibyteifs.patch
- delete included Patch120: bash-history.patch
- delete included Patch121: bash-ulimit.patch
- delete Patch126: bash-2.05b-xcc.patch
- delete Patch128: bash-jobs.patch
- delete Patch142: bash-sigpipe.patch
- update Source3 to http://www.caliban.org/files/bash/bash-completion-20060301.tar.bz2
  and no NoSource
- update Patch151: bash-completion-tar2.patch for new bash-completion patch
- renumber Patch103 -> Patch102: bash-2.03-profile.patch
- add Patch103: bash-requires.patch from FC
  and delete Patch105: bash-2.05a-requires.patch
- add Patch105: bash-aq.patch from FC
- renumber Patch130: -> Patch116: bash-2.05b-manso.patch
- renumber Patch131: -> Patch117: bash-2.05b-debuginfo.patch
- renumber Patch127: -> Patch115: bash-2.05b-pgrp_sync.patch
- add Patch106: bash-login.patch
- update Patch107: bash-2.05a-interpreter.patch
- renumber Patch115: -> Patch108: bash-2.05b-readline-oom.patch
- update Patch112: bash-ulimit.patch
- update Patch114: bash-2.05b-xcc.patch
- add patches below from FC
  Patch118: bash-tty-tests.patch
  Patch126: bash-setlocale.patch
  Patch127: bash-sighandler.patch
  Patch129: bash-read-memleak.patch
- renumber againt +1000
  Patch106: bash-brace.patch
  Patch107: bash-2.05a-shellfunc.patch
  Patch108: bash-3.1-ia64.patch
  Patch111: bash-2.05a-loadables.patch
  Patch117: bash-2.05b-mbinc.patch
  Patch150: bash-completion-configure.patch
  Patch151: bash-completion-tar2.patch

* Tue Apr 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0-4m)
- change bashrc for use bash_completion (bts#113)

* Wed Mar 16 2005 Toru Hoshina <t@momonga-linux.org>
- (3.0-3m)
- applied bash-jobs.patch from FC3.

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (3.0-2m)
- rebuild against libtermcap-2.0.8-38m.

* Mon Feb 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0-1m)
- version up

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.05b-21m)
- revised docdir permission

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org.
- (2.05b-20m)
- enable x86_64.
- run-jobs and run-trap is neber ending check on x86_64...

* Fri Oct 22 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.05b-19m)
- remove patch18.
- add BuildConflicts: glibc-devel = 2.3.3-(1|2)m.

* Wed Oct 20 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.05b-18m)
- add patch18 fot gcc 3.4??

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.05b-17m)
- update Patch50: bash-completion-configure.patch
- update Patch51: bash-completion-tar.patch

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.05b-16m)
- update bash_completion_ver to 20041017
- add --with-bash-malloc=no at configure
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823] 

* Sat Jul 31 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.05b-15m)
- update Source14: tab.dot.bashrc

* Tue May 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.05b-14m)
- add patch 17 ([debian-devel:15370] bash initialization is wrong.)

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.05b-13m)
- revised spec for enabling rpm 4.2.

* Sat Dec 20 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-12m)
- set prompt for screen in dot-bashrc
- update bash-completion to 20031215

* Thu Nov 06 2003 Kenta MURATA <muraken2@nifty.com>
- (2.05b-11m)
- add DISABLE_BASH_COMPLETION in %%{_sysconfdir}/bashrc.

* Fri Oct 31 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.05b-10m)
- renumber source
- rename dot files in config-sample dot-* => dot.*
- delete define prefix, why used this?
- update bashcompletion patch to 20031022

* Wed Aug 27 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-9m)
- revise dot-inputrc

* Wed Aug 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-8m)
- import official patches for 2.05b
- update bashcompletion patch to 20030821
- change my e-mail address from uomaster@nifty.com to zaki@zakky.org
- remove bash-2.05b-complete.patch. this bug is fixed by official patch

* Fri Mar 21 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-7m)
- bash_completion: tar *x*f: include *.tar.bz2 *.tbz *.tb2 *.tbz2

* Sun Mar 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-6m)
- autoconf before configure
- fix bashrc(by kaz)

* Sun Mar 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-5m)
- source /etc/bash_completion from /etc/bashrc if interactive shell

* Sun Mar 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.05b-4m)
- update bash-completion to 20030227
- install bash-completion files to /etc (should be %%config?)

* Sat Nov 16 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (2.05b-3m)
- add bash-2.05b-avoid-loop.patch

* Fri Aug 02 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (2.05b-2m)
- add bash-2.05b-complete.patch
- this patch fixes a problem when do completion. 
  ex) '../[TAB]'

* Fri Jul 26 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (2.05b-1m)
- up to 2.05b
- sync with rawhide (2.05b-1)
- add bash-2.05b-strpbrk.patch for more i18n support.
- add BuildPrereq: libtermcap-devel

* Sun May 9 2002 Toru Hoshina <t@kondara.org>
- (2.0.5-34k)
- revised bashrc.

* Wed May  1 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.5-32k)
- add PreReq: libtermcap

* Tue Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.5-30k)
- Provides: /bin/bash

* Mon Apr 29 2002 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-28k)
- update i18n patch (readline 0.4)

* Mon Apr 29 2002 Kenta MURATA <muraken@kondara.org>
- (2.0.5-26k)
- Provides: /bin/sh

* Sun Jan 20 2002 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-24k)
- i18n patch (up to bash 0.5 readline 0.3)
- my patches included in it

* Wed Jan 16 2002 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-22k)
- fix segfault when use Ctrl(t) with some locales

* Tue Dec 11 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-20k)
- modify i18n patch (TT)

* Mon Dec 10 2001 TABUCHI Takaaki <tab@kondara.org>
- (2.0.5-18k)
- add tab.dot.bashrc

* Mon Dec 10 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-16k)
- modify i18n-diff.patch

* Sun Dec 09 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.5-14k)
- re-enabled i18n patch
- added bash-i18n-diff.patch
- and re-added Source6 Source7 (still needed)

* Fri Nov 30 2001 Shingo Akagaki <dora@kondara.org>
- (2.0.5-12k)
- remove i18n patch

* Mon Nov 12 2001 Motonobu Ichimura <famao@kondara.org>
- (2.05-8k)
- add %dir %{_datadir}/config-sample/bash

* Thu Oct 25 2001 Toru Hoshina <t@kondara.org>
- (2.05-6k)
- dot files located properly.

* Thu Oct 25 2001 Motonobu Ichimura <famao@kondara.org>
- (2.05-4k)
- added IBM's I18n patches for bash-2.05
- '

* Mon Oct 22 2001 Toru Hoshina <t@kondara.org>
- (2.05-2k)
- version up. no more etcskel.

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Sun Aug 26 2001 Toru Hoshina <t@kondara.org>
- (2.04-28k)
- add kterm entry to /etc/bashrc...

* Mon May  7 2001 Akira Higuchi <a@kondara.org>
- (2.04-26k)
- removed IBM patches and re-enabled patch #6.

* Sun Mar 18 2001 Toru Hoshina <toru@df-usa.com>
- (2.04-24k)
- add IBM's I18n patches.
- turned off prereq grep.

* Sun Feb 18 2001 Kenichi Matsubara <m@kondara.org>
- (2.04-22k)
- backport 2.04-23k(Jirai).

* Sun Feb 18 2001 Kenichi Matsubara <m@kondara.org>
- (2.04-23k)
- Obsoletes bash2-doc.

* Thu Feb  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.04-21k)
- added '%post' (#854)

* Tue Jan 30 2001 Kenichi Matsubara <m@kondara.org>
- (2.04-19k)
- bugfix %files section.

* Fri Dec  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.04-17k)
- modified to use %{_mandir} and %{_infodir} macro

* Tue Nov  7 2000 Toru Hoshina <toru@df-usa.com>
- Obsolete bash and replace bas with bash2.

* Wed Oct 25 2000 Kenichi Matsubara <m@kondara.org>
- remove create man.pages file section.
- modified %files section.

* Tue Aug 22 2000 Kenichi Matsubara <m@kondara.org>
- Change PATH (FHS).
- Obsolete jman files.

* Mon Aug 14 2000 Akira Higuchi <a@kondara.org>
- some changes in readline patch

* Tue Aug 01 2000 Akira Higuchi <a@kondara.org>
- some changes in readline patch

* Sun May 07 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- i18n lib/readline. 

* Sat May 06 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- now temporary change, del jp-patch and configure --with-installed-readilne

* Fri May 05 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- up tp 2.04 
- added jp-patch 

* Mon Apr 03 2000 TABUCHI Takaaki <tab@kondara.org>
- merge redhat-6.2 (2.0.3-8).

* Tue Mar  7 2000 Tenkou N. Hattori <tnh@kondara.org>
- add Prereq: grep.

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- fix description

* Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- add man-pages-ja-GNU_bash-20000115

* Sun Jan 22 2000 TABUCHI Takaaki <tab@kondara.org>
- be able to rebuild non-root user.

* Thu Dec  2 1999 Ken Estes <kestes@staff.mail.com>
- updated patch to detect what executables are required by a script.

* Wed Nov 24 1999 Tenkou N. Hattori <tnh@kondara.org>
- add man-pages-ja-GNU_bash-19991115

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Sep 14 1999 Dale Lovelace <dale@redhat.com>
- Remove annoying ^H's from documentation

* Fri Jul 16 1999 Ken Estes <kestes@staff.mail.com>
- patch to detect what executables are required by a script.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include bash-doc correctly.

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- fixed post/postun /etc/shells work.

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated again text in the spec file

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 2.03.

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- build it as bash2 instead of bash

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- set 'NON_INTERACTIVE_LOGIN_SHELLS' so profile gets read

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- rename man pages in bash-doc to avoid packaging conflicts (#606).

* Wed Dec 02 1998 Cristian Gafton <gafton@redhat.com>
- patch for the arm
- use $RPM_ARCH-redhat-linux as the build target

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- rewrite %pre, axe %postun (to avoid prereq loops)

* Wed Aug 19 1998 Jeff Johnson <jbj@redhat.com>
- resurrect for RH 6.0.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.02.1

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Package for 5.2.

* Mon Apr 20 1998 Ian Macdonald <ianmacd@xs4all.nl>
- added POSIX.NOTES doc file
- some extraneous doc files removed
- minor .spec file changes

* Sun Apr 19 1998 Ian Macdonald <ianmacd@xs4all.nl>
- upgraded to version 2.02
- Alpha, MIPS & Sparc patches removed due to lack of test platforms
- glibc & signal patches no longer required
- added documentation subpackage (doc)

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>
- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
